#ifndef TEST_RING_BUFFER_H
#define TEST_RING_BUFFER_H

/*!
  \file
  \brief LeastSquare のテスト

  \author Satofumi KAMIMURA

  $Id: TestLeastSquare.h 1811 2010-04-30 16:12:05Z satofumi $
*/

#include <cppunit/extensions/HelperMacros.h>


//! LeastSquare のテストクラス
class TestLeastSquare : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE(TestLeastSquare);
    CPPUNIT_TEST(compileTest);
    CPPUNIT_TEST(abTest);
    CPPUNIT_TEST_SUITE_END();

public:
    void compileTest(void);
    void abTest(void);
};

#endif /* !TEST_RING_BUFFER_H */
